Documentation

influx v1 auth delete

Not supported in InfluxDB Cloud

InfluxDB Cloud does not support InfluxDB 1.x compatible authorizations. Using the influx v1 auth delete command with InfluxDB Cloud will result in an error. To authenticate with InfluxDB Cloud, use InfluxDB token authentication.

The influx v1 auth delete command deletes an authorization in the InfluxDB 1.x compatibility API.

Usage

influx v1 auth delete [flags]

Flags

FlagDescriptionInput typeMaps to ?
-c--active-configConfig name to use for commandstring$INFLUX_ACTIVE_CONFIG
--configs-pathPath to the influx CLI configurations (default: ~/.influxdbv2/configs)string$INFLUX_CONFIGS_PATH
-h--helpHelp for the delete command
--hide-headersHide the table headers (default: false)$INFLUX_HIDE_HEADERS
--hostHTTP address of InfluxDBstring$INFLUX_HOST
-i--id(Required) Authorization IDstring
--jsonOutput data as JSON (default: false)$INFLUX_OUTPUT_JSON
--skip-verifySkip TLS certificate verificationINFLUX_SKIP_VERIFY
-t--tokenAPI tokenstring$INFLUX_TOKEN
--usernameAuthorization usernamestring$INFLUX_USERNAME

Examples

Authentication credentials

The examples below assume your InfluxDB host, organization, and token are provided by the active influx CLI configuration. If you do not have a CLI configuration set up, use the appropriate flags to provide these required credentials.

Delete a v1 authorization
influx v1 auth delete --id 00xX00o0X001

Select your region

Upgrade to InfluxDB Cloud or InfluxDB 2.0!

InfluxDB Cloud and InfluxDB OSS 2.0 ready for production.